Libgrss-0.7.0

Introduction to Libgrss

The libgrss package contains a library designed to manipulate RSS and Atom feeds.

This package is known to build and work properly using an LFS-8.4 platform.

Package Information

Additional Downloads

Libgrss Dependencies

Required

libsoup-2.66.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libgrss

Installation of Libgrss

Install Libgrss by running the following commands:

patch -Np1 -i ../libgrss-0.7.0-bugfixes-1.patch &&
autoreconf -fiv &&
./configure --prefix=/usr --disable-static &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Programs: None
Installed Library: libgrss.so
Installed Directories: /usr/include/libgrss and /usr/share/doc/libgrss-0.7.0

Short Descriptions

libgrss.so

provides API functions for handling RSS feeds.

Last updated on 2019-04-10 03:17:14 -0500